using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Avalonia.Controls;
using Avalonia.Markup.Xaml;
using Avalonia.Platform.Storage;
using Avalonia.ReactiveUI;
using Presence.Desktop.ViewModels;
using ReactiveUI;

namespace Presence.Desktop.Views
{
    public partial class GroupView : Window
    {
        public GroupView()
        {
            InitializeComponent();
        }

        private void SelectingItemsControl_OnSelectionChanged(object? sender, SelectionChangedEventArgs e)
        {
            if (DataContext is GroupViewModel viewModel)
            {
                viewModel.UpdateSelectionStates();
            }
        }
    }
}